summaryrefslogtreecommitdiffstats
path: root/audio/ecasound/ecasound.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'audio/ecasound/ecasound.SlackBuild')
-rw-r--r--audio/ecasound/ecasound.SlackBuild110
1 files changed, 110 insertions, 0 deletions
diff --git a/audio/ecasound/ecasound.SlackBuild b/audio/ecasound/ecasound.SlackBuild
new file mode 100644
index 0000000000..af687bf00c
--- /dev/null
+++ b/audio/ecasound/ecasound.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/bash
+
+# Slackware build script for ecasound
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=ecasound
+VERSION=${VERSION:-2.8.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Figure out the version number part of the python lib dir:
+PYVER=$( python -c 'import sys; print "%d.%d" % sys.version_info[0:2]' )
+
+# Hack configure script to work around a patch that was meant to work around
+# broken debian systems (but what it really does is make configure ignore
+# the --with-python-modules option; they get installed *outside the DESTDIR*
+# too). Sigh.
+patch -p1 < $CWD/python_module_dir.diff
+
+# --disable-static and --enable-shared are accepted, but ignored.
+# This is deliberate: upstream doesn't want shared libs. See:
+# http://www.eca.cx/ecasound-list/2002/10/0031.html
+
+CFLAGS="-g $SLKCFLAGS" \
+CXXFLAGS="-g $SLKCFLAGS" \
+./configure \
+ --disable-arts \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --with-python-modules=/usr/lib$LIBDIRSUFFIX/python$PYVER \
+ --enable-python-force-site-packages \
+ --disable-all-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+# Kind of a twist for a SlackBuild: bunch of identical man pages are getting
+# installed, and we want them to be symlinks instead of copies.
+cd $PKG/usr/man/man1
+toolsum="$( cat ecatools.1 | md5sum )"
+for manpage in $( /bin/ls * | grep -v ecatools ); do
+ if [ "$toolsum" = "$( cat $manpage | md5sum )" ]; then
+ rm -f $manpage
+ ln -s ecatools.1 $manpage
+ fi
+done
+cd -
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS BUGS COPYING* INSTALL README RELNOTES TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}